# Rune by Zodiac

`POST https://api.astroway.info/v1/runes/by-zodiac`

Tropical-sign → Elder Futhark affinity rune.

Group: Elder Futhark Runes. Auth: `X-Api-Key` header. Operation ID: `runes_by-zodiac`.

## Parameters

| Name | In | Required | Type | Description |
|---|---|---|---|---|
| `undefined` |  | no | object |  |
| `undefined` |  | no | object |  |

## Request body

| Field | Type | Required | Description |
|---|---|---|---|
| `sign` | "aries" \| "taurus" \| "gemini" \| "cancer" \| "leo" \| "virgo" \| "libra" \| "scorpio" \| … | yes |  |

```json
{
  "sign": "leo"
}
```

## Responses

| Status | Meaning |
|---|---|
| 200 | Successful calculation |
| 400 | Validation error |
| 401 | Missing or invalid API key |

### Success fields, under `data`

| Field | Type | Required | Description |
|---|---|---|---|
| `sign` | string | no |  |
| `affinityRune` | object | no |  |
| `affinityRune.number` | number | no |  |
| `affinityRune.slug` | string | no |  |
| `affinityRune.name` | string | no |  |
| `affinityRune.letter` | string | no |  |
| `affinityRune.glyph` | string | no |  |
| `affinityRune.aett` | string | no |  |
| `affinityRune.meaning` | string | no |  |
| `affinityRune.upright` | string | no |  |
| `affinityRune.reversed` | object | no |  |
| `affinityRune.element` | string | no |  |
| `affinityRune.deity` | string | no |  |
| `methodology` | string | no |  |
| `source` | string | no |  |

## Example

```bash
curl -X POST https://api.astroway.info/v1/runes/by-zodiac \
  -H "X-Api-Key: aw_live_..." \
  -H "Content-Type: application/json" \
  -d '{ "sign": "leo" }'
```

---

Rendered from https://api.astroway.info/v1/openapi.json. HTML page: https://api.astroway.info/docs/api/operations/runes_by-zodiac/
